%define aurox_ver 9.3
%define rel 1


%define po_package gok

Summary: GNOME Onscreen Keyboard
Name: gok
Version: 0.8.4
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Desktop/Accessibility
URL: http://www.gok.ca/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch1: gok-0.7.0-noforce.patch
Patch2: gok-0.7.1-lib64.patch

PreReq:         scrollkeeper >= 0.1.4
PreReq:		at-spi
BuildRequires:	at-spi-devel
BuildRequires:	gail-devel

%description
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse. Many individuals must
control the computer using alternative input methods. Using innovative
dynamic keyboard strategies, and leveraging gnome 2's built-in
accessibility framework, the gok will make control more efficient and
enable use of the gnome 2 desktop. With the right hardware support and
the gok individuals will have full access to applications that support
the AT SPI, and therefore, full access to the functionality these
applications provide.

%prep
%setup -q
%patch1 -p1 -b .noforce
%patch2 -p1 -b .noforce

%build
automake-1.4
autoconf
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{po_package}


%clean
rm -rf $RPM_BUILD_ROOT

%post

scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gok.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update


%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc
%{_sysconfdir}/gconf/schemas/*schemas
%{_bindir}/gok
%{_libdir}/pkgconfig/*pc
%{_datadir}/gok
%{_datadir}/gnome
%{_datadir}/gtk-doc/html/gok
%{_datadir}/omf
%{_datadir}/pixmaps/gok.png
%{_datadir}/applications/gok.desktop



%changelog
* Sun Jan 18 2004 Aurox Team <aurox@aurox.org> 0:0.8.4-9.3.aur.1
- disable gtk-doc
- rebuild for Aurox 9.3
- two files added to specfile
- name fixed
- Spec added
- Initial build for Aurox 9.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May  5 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.


